# SimpleTCPServer.h File Reference

A simple TCP based server allowing sends and receives. Can be connected by any TCP client, including telnet. More...

`#include <sys/types.h>`
`#include <sys/socket.h>`
`#include <netinet/in.h>`
`#include <arpa/inet.h>`
`#include <netdb.h>`
`#include <unistd.h>`
`#include "DS_List.h"`
`#include "RakNetTypes.h"`
`#include "SingleProducerConsumer.h"`
`#include "Export.h"`

## Classes

struct | RemoteClient
| Stores information about a remote client. In this case, only the socket used by that client. More...

## Typedefs

typedef int | SOCKET
| Unix/Linux uses ints for sockets.

## Detailed Description

A simple TCP based server allowing sends and receives. Can be connected by any TCP client, including telnet.

This file is part of RakNet Copyright 2003 Kevin Jenkins.

Usage of RakNet is subject to the appropriate license agreement. Creative Commons Licensees are subject to the license found at http://creativecommons.org/licenses/by-nc/2.5/ Single application licensees are subject to the license found at http://www.jenkinssoftware.com/SingleApplicationLicense.html Custom license users are subject to the terms therein. GPL license users are subject to the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.